wxCalendarEvent(3)

NAME
wxCalendarEvent - The wxCalendarEvent class is used together with wxCalendarCtrl.

DESCRIPTION

See: wxCalendarCtrl

This class is derived, and can use functions, from:

    • wxDateEvent

    • wxCommandEvent

    • wxEvent

wxWidgets docs: wxCalendarEvent

DATA TYPES

wxCalendar() :: #wxCalendar{}.
wxCalendarEvent() :: wx:wx_object().
wxCalendarEventType() :: calendar_sel_changed | calendar_day_changed | calendar_month_changed | calendar_year_changed | calendar_doubleclicked | calendar_weekday_clicked.

FUNCTIONS

getDate(This) -> wx:wx_datetime() when This :: wxCalendarEvent().

    Returns the date.
getWeekDay(This) -> wx:wx_enum() when This :: wxCalendarEvent().

    Returns the week day on which the user clicked in EVT\_CALENDAR\_WEEKDAY\_CLICKED handler.

    It doesn't make sense to call this function in other handlers.